# Uses of Class
org.opensaml.saml.security.SAMLMetadataKeyAgreementEncryptionConfiguration

Packages that use SAMLMetadataKeyAgreementEncryptionConfiguration
Package
Description
org.opensaml.saml.security.impl
Classes related to verifying various credentials within a SAML system.

## Uses of SAMLMetadataKeyAgreementEncryptionConfiguration in org.opensaml.saml.security.impl

Methods in org.opensaml.saml.security.impl that return SAMLMetadataKeyAgreementEncryptionConfiguration
Modifier and Type
Method
Description
`protected SAMLMetadataKeyAgreementEncryptionConfiguration`
SAMLMetadataEncryptionParametersResolver.`getEffectiveKeyAgreementConfiguration(CriteriaSet criteria, Credential credential)`
Get the effective `SAMLMetadataKeyAgreementEncryptionConfiguration` to use with the specified credential.